Package icyllis.arc3d.compiler.lex

# Record Class Lexer.PackedEntry

java.lang.Object
java.lang.Record
icyllis.arc3d.compiler.lex.Lexer.PackedEntry

Enclosing class:
  `Lexer`

public static record Lexer.PackedEntry(int values, byte[] data) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PackedEntry(int values, byte[] data)`
  Creates an instance of a `PackedEntry` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `data()`
  Returns the value of the `data` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `int`
  `values()`
  Returns the value of the `values` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PackedEntry

    public PackedEntry(int values, byte[] data)
    Creates an instance of a `PackedEntry` record class.
    Parameters:
      `values` - the value for the `values` record component
      `data` - the value for the `data` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### values

    public int values()
    Returns the value of the `values` record component.
    Returns:
      the value of the `values` record component

  - ### data

    public byte[] data()
    Returns the value of the `data` record component.
    Returns:
      the value of the `data` record component